Skip to content

Remote Access ​

9 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getTunnelGETGet remote access tunnel
addTunnelPOSTCreate new remote access tunnel
deleteTunnelDELETEDelete remote access tunnel information
editTunnelPATCHModify remote access tunnel information
getTunnelsEwebInfoGETGet tunnel eweb info
getTunnelStatusGETGet remote access tunnel's status
modifyTunnelPATCHEnable/Disable remote access tunnel
getSingleDeviceTunnelGETGet single device tunnel
getTunnelsStatusGETGet all remote access tunnel's status

getTunnel ​

GET /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel

Get remote access tunnel

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getTunnel",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get remote access tunnel
The interface requires one of the permissions:
Site Tools Manager View Only
Site Tools Manager View Only

addTunnel ​

POST /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel

Create new remote access tunnel

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema NatTraversalTunnelOpenApiVO

FieldTypeRequiredDescription
namestringyesName of the remote access tunnel.
localAddressstringyesIP address of the local target device.
localPortintegeryesPort of the local target device's service.
durationintegernoValid duration time of the remote access tunnel, 1-24 hours.
appTypestringyesApp type of the remote access tunnel for the local target device. HTTP, HTTPS, SSH, TELNET.
openStatusbooleannoIf open the remote access tunnel after create.
localMacstringnoMac of the local target device.
clientManagerbooleannoClient's manager of the remote access tunnel for the client.
clientNamestringnoClient's name of the remote access tunnel for the client.
clientDeviceTypestringnoClient's type of the remote access tunnel for the client.
clientModelstringnoClient's model of the remote access tunnel for the client.
tunnelEntryTypeintegernoEntry of the remote access tunnel.1: custom tunnel 2: device tunnel 3:device detail 4:client detail
autoLoginbooleannoIf the remote access tunnel enabled auto login. true: Auto login is enabled; false: Auto login is disabled.
json
// omada_call_operation
{
  "operationId": "addTunnel",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new remote access tunnel
The interface requires one of the permissions:
Site Tools Manager Modify
Site Tools Manager Modify

deleteTunnel ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel/{tunnelId}

Delete remote access tunnel information

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
tunnelIdpathstringyesRemote access tunnel ID
json
// omada_call_operation
{
  "operationId": "deleteTunnel",
  "params": {
    "siteId": "<siteId>",
    "tunnelId": "<tunnelId>"
  }
}
Details, permissions and error codes

Delete new remote access tunnel information
The interface requires one of the permissions:
Site Tools Manager Modify
Site Tools Manager Modify

editTunnel ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel/{tunnelId}

Modify remote access tunnel information

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
tunnelIdpathstringyesRemote access tunnel ID

Request body — application/json (required) — schema NatTraversalTunnelModifyOpenApiVO

FieldTypeRequiredDescription
namestringnoName of the remote access tunnel.
localAddressstringnoIP address of the local target device.
localPortintegernoPort of the local target device's service.
durationintegernoValid duration time of the remote access tunnel, 1-24 hours.
appTypestringyesApp type of the remote access tunnel for the local target device. HTTP, HTTPS, SSH, TELNET.
openStatusbooleannoIf open the remote access tunnel after create.
localMacstringnoMac of the local target device.
clientManagerbooleannoClient's manager of the remote access tunnel for the client.
clientNamestringnoClient's name of the remote access tunnel for the client.
clientDeviceTypestringnoClient's type of the remote access tunnel for the client.
clientModelstringnoClient's model of the remote access tunnel for the client.
tunnelEntryTypeintegernoEntry of the remote access tunnel.1: custom tunnel 2: device tunnel 3:device detail 4:client detail
autoLoginbooleannoIf the remote access tunnel enabled auto login. true: Auto login is enabled; false: Auto login is disabled.
json
// omada_call_operation
{
  "operationId": "editTunnel",
  "params": {
    "siteId": "<siteId>",
    "tunnelId": "<tunnelId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify remote access tunnel information
The interface requires one of the permissions:
Site Tools Manager Modify
Site Tools Manager Modify

getTunnelsEwebInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel/{tunnelId}/ewebInfo

Get tunnel eweb info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
tunnelIdpathstringyesRemote access tunnel ID
json
// omada_call_operation
{
  "operationId": "getTunnelsEwebInfo",
  "params": {
    "siteId": "<siteId>",
    "tunnelId": "<tunnelId>"
  }
}
Details, permissions and error codes

Get tunnel eweb info
The interface requires one of the permissions:
Site Tools Manager View Only

getTunnelStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel/{tunnelId}/status

Get remote access tunnel's status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
tunnelIdpathstringyesRemote access tunnel ID
json
// omada_call_operation
{
  "operationId": "getTunnelStatus",
  "params": {
    "siteId": "<siteId>",
    "tunnelId": "<tunnelId>"
  }
}
Details, permissions and error codes

Get remote access tunnel's status
The interface requires one of the permissions:
Site Tools Manager View Only

modifyTunnel ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel/{tunnelId}/status

Enable/Disable remote access tunnel

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
tunnelIdpathstringyesRemote access tunnel ID

Request body — application/json (required) — schema NatTraversalTunnelOpenVO

FieldTypeRequiredDescription
openStatusbooleannoEnable/Disable existing remote access tunnel. True: Enable, False: Disable
json
// omada_call_operation
{
  "operationId": "modifyTunnel",
  "params": {
    "siteId": "<siteId>",
    "tunnelId": "<tunnelId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Enable/Disable remote access tunnel
The interface requires one of the permissions:
Site Tools Manager Modify
Site Tools Manager Modify

getSingleDeviceTunnel ​

GET /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel/deviceTunnel/{localMac}

Get single device tunnel

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
localMacpathstringyesMac of the local target device
json
// omada_call_operation
{
  "operationId": "getSingleDeviceTunnel",
  "params": {
    "siteId": "<siteId>",
    "localMac": "<localMac>"
  }
}
Details, permissions and error codes

Get single device tunnel
The interface requires one of the permissions:
Site Tools Manager View Only

getTunnelsStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/remoteAccess/tunnel/status

Get all remote access tunnel's status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getTunnelsStatus",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get all remote access tunnel's status
The interface requires one of the permissions:
Site Tools Manager View Only
Site Tools Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.